module ExoBasic
  class StrHelpers
    def self.normalize_name(name)
      name.strip.gsub(/[^[:print:]]/, '.')
    end

    def self.is_name_valid?(name)
      !name.nil? && !name.empty? && StrHelpers.normalize_name(name) == name
    end

  end
end
