module ExoBasic
  class DateTimer
    def self.date_time_now
      DateTime.now
    end

    def self.get(date_time)
      if date_time.nil?
        DateTimer.date_time_now
      elsif date_time.is_a?(String)
        DateTime.parse(date_time)
      else
        date_time
      end
    end

    def self.duration_in_days(from, to)
      (to - from).to_i
    end

    def self.duration_in_sec(from, to)
      to.to_i - from.to_i
    end

    def self.add_days(t, days)
      t + days
    end

    def self.add_sec(t, sec)
      t + Rational(sec, 86400)
    end

  end
end
