require 'bcrypt'

module ExoBasic
  class PasswordEncryption
    def self.encrypt(str)
      BCrypt::Password.create(str)
    end

    def self.check_encrypted(encrypted, str)
      BCrypt::Password.new(encrypted) == str
    end

  end
end
